<?php

include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Client.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Commande.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Venteprod.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Caracdisp.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Caracdispdesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Caracteristique.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Caracteristiquedesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Caracval.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Contenu.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Contenudesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Declidisp.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Declidispdesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Declinaison.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Declinaisondesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Image.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Produit.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Rubcaracteristique.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Rubdeclinaison.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Rubrique.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Rubriquedesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Stock.class.php");




class Insertionproduit extends PluginsClassiques{
	function init(){
		$handle = opendir(realpath(dirname(__FILE__)) . "/photos/produit/");
		while (false !== ($file = readdir($handle))) {
	        
			if($file != "." && $file!=".." && $file != "")
			copy(realpath(dirname(__FILE__)) . "/photos/produit/$file",realpath(dirname(__FILE__)) . "/../../gfx/photos/produit/$file");
		}
		$handle = opendir(realpath(dirname(__FILE__)) . "/photos/contenu/");
		while (false !== ($file = readdir($handle))) {
	        
			if($file != "." && $file!=".." && $file != "")
			copy(realpath(dirname(__FILE__)) . "/photos/contenu/$file",realpath(dirname(__FILE__)) . "/../../gfx/photos/contenu/$file");
		}

		$data = array();
		$file = fopen(realpath(dirname(__FILE__)) . "/client.csv","r");
		
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);
		for($i=0;$i<count($data)-1;$i++){
			$client = new Client();
			$client->id = $data[$i][0];
			$client->ref = $data[$i][1];
			$client->raison = $data[$i][2];
			$client->nom = $data[$i][5];
			$client->prenom = $data[$i][6];
			$client->adresse1 = $data[$i][7];
			$client->adresse2 = $data[$i][8];
			$client->adresse3 = $data[$i][9];
			$client->cpostal = $data[$i][10];
			$client->ville = $data[$i][11];
			$client->pays = $data[$i][12];
			$client->telfixe = $data[$i][13];
			$client->telport = $data[$i][14];
			$client->email = $data[$i][15];
			$client->motdepasse = $data[$i][16];
			$client->add();
		}
		
		$file = fopen(realpath(dirname(__FILE__)) . "/commande.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);
		
		for($i=0;$i<count($data)-1;$i++){
			$commande = new Commande();
			$commande->id = $data[$i][0];
			$commande->client = $data[$i][1];
			$commande->date = $data[$i][3];
			$commande->datefact = $data[$i][4];
			$commande->ref = $data[$i][5];
			$commande->transaction = $data[$i][6];
			$commande->livraison = $data[$i][7];
			$commande->facture = $data[$i][8];
			$commande->transport = $data[$i][9];
			$commande->port = $data[$i][10];
			$commande->datelivraison = $data[$i][11];
			$commande->colis = $data[$i][12];
			$commande->paiement = 6;
			$commande->statut = $data[$i][14];
			$commande->add();
		}
		
		
		$file = fopen(realpath(dirname(__FILE__)) . "/venteprod.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){
			$venteprod = new Venteprod();
			$venteprod->id = $data[$i][0];
			$venteprod->ref = $data[$i][1];
			$venteprod->titre = $data[$i][2];
			$venteprod->chapo = $data[$i][3];
			$venteprod->description = $data[$i][4];
			$venteprod->quantite = $data[$i][5];
			$venteprod->prixu = $data[$i][6];
			$venteprod->tva = $data[$i][7];
			$venteprod->commande = $data[$i][8];
			$venteprod->add();
			
		}
		
		
		$file = fopen(realpath(dirname(__FILE__)) . "/caracdisp.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){
			$caracdisp = new Caracdisp();
			$caracdisp->id = $data[$i][0];
			$caracdisp->caracteristique = $data[$i][1];
			$caracdisp->add();
		}
		
		$file = fopen(realpath(dirname(__FILE__)) . "/caracdispdesc.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){
			$caracdispdesc = new Caracdispdesc();
			$caracdispdesc->id = $data[$i][0];
			$caracdispdesc->caracdisp = $data[$i][1];
			$caracdispdesc->lang = $data[$i][2];
			$caracdispdesc->titre = $data[$i][3];
			$caracdispdesc->add();
		}
		
		$file = fopen(realpath(dirname(__FILE__)) . "/caracteristique.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){		
			$caracteristique = new Caracteristique();
			$caracteristique->id = $data[$i][0];
			$caracteristique->affiche = $data[$i][1];
			$caracteristique->classement = $data[$i][2];
			$caracteristique->add();
		}
		
		
		$file = fopen(realpath(dirname(__FILE__)) . "/caracteristiquedesc.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){
			$caracteristiquedesc = new Caracteristiquedesc();
			$caracteristiquedesc->id = $data[$i][0];
			$caracteristiquedesc->caracteristique = $data[$i][1];
			$caracteristiquedesc->lang = $data[$i][2];
			$caracteristiquedesc->titre = $data[$i][3];
			$caracteristiquedesc->chapo = $data[$i][4];
			$caracteristiquedesc->description = $data[$i][5];
			$caracteristiquedesc->add();
		}
		
		$file = fopen(realpath(dirname(__FILE__)) . "/caracval.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){
			$caracval = new Caracval();
			$caracval->id = $data[$i][0];
			$caracval->produit = $data[$i][1];
			$caracval->caracteristique = $data[$i][2];
			$caracval->caracdisp = $data[$i][3];
			$caracval->valeur = $data[$i][4];
			$caracval->add();
		}
				
		$file = fopen(realpath(dirname(__FILE__)) . "/declidisp.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){
			$declidisp = new Declidisp();
			$declidisp->id = $data[$i][0];
			$declidisp->declinaison = $data[$i][1];
			$declidisp->add();
		}
		
		$file = fopen(realpath(dirname(__FILE__)) . "/declidispdesc.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){
			$declidispdesc = new Declidispdesc();
			$declidispdesc->id = $data[$i][0];
			$declidispdesc->declidisp = $data[$i][1];
			$declidispdesc->lang = $data[$i][2];
			$declidispdesc->titre = $data[$i][3];
			$declidispdesc->add();
		}
		
		$file = fopen(realpath(dirname(__FILE__)) . "/declinaison.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){
			$declinaison = new Declinaison();
			$declinaison->id = $data[$i][0];
			$declinaison->classement = $data[$i][1];
			$declinaison->add();
		}
		
		$file = fopen(realpath(dirname(__FILE__)) . "/declinaisondesc.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){
			$declinaisondesc = new Declinaisondesc();
			$declinaisondesc->id = $data[$i][0];
			$declinaisondesc->declinaison = $data[$i][1];
			$declinaisondesc->lang = $data[$i][2];
			$declinaisondesc->titre = $data[$i][3];
			$declinaisondesc->chapo = $data[$i][4];
			$declinaisondesc->description = $data[$i][5];
			$declinaisondesc->add();
		}
		
		
		$file = fopen(realpath(dirname(__FILE__)) . "/image.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);


		for($i=0;$i<count($data)-1;$i++){
			$image = new Image();
			$image->id = $data[$i][0];
			$image->produit = $data[$i][1];
			$image->rubrique = $data[$i][2];
			$image->contenu = $data[$i][3];
			$image->dossier = $data[$i][4];
			$image->fichier = $data[$i][5];
			$image->classement = $data[$i][6];
			$image->add();
		}
		$file = fopen(realpath(dirname(__FILE__)) . "/rubcaracteristique.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);
		
		for($i=0;$i<count($data)-1;$i++){
			$rubcaracteristique = new Rubcaracteristique();
			$rubcaracteristique->id = $data[$i][0];
			$rubcaracteristique->rubrique = $data[$i][1];
			$rubcaracteristique->caracteristique = $data[$i][2];
			$rubcaracteristique->add();
		}
		
		
		$file = fopen(realpath(dirname(__FILE__)) . "/rubdeclinaison.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);
		
		for($i=0;$i<count($data)-1;$i++){
			$rubdeclinaison = new Rubdeclinaison();
			$rubdeclinaison->id = $data[$i][0];
			$rubdeclinaison->rubrique = $data[$i][1];
			$rubdeclinaison->declinaison = $data[$i][2];
			$rubdeclinaison->add();
		}
		
		
		$file = fopen(realpath(dirname(__FILE__)) . "/rubrique.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);
		
		for($i=0;$i<count($data)-1;$i++){
			$rubrique = new Rubrique();
			$rubrique->id = $data[$i][0];
			$rubrique->parent = $data[$i][1];
			$rubrique->lien = $data[$i][2];
			$rubrique->ligne = $data[$i][3];
			$rubrique->classement = $data[$i][4];
			$rubrique->add();
		}
		
		$file = fopen(realpath(dirname(__FILE__)) . "/rubriquedesc.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);
		
		for($i=0;$i<count($data)-1;$i++){
			$rubriquedesc = new Rubriquedesc();
			$rubriquedesc->id = $data[$i][0];
			$rubriquedesc->rubrique = $data[$i][1];
			$rubriquedesc->lang = $data[$i][2];
			$rubriquedesc->titre = $data[$i][3];
			$rubriquedesc->chapo = $data[$i][4];
			$rubriquedesc->description = $data[$i][5];
			$rubriquedesc->add();
			
			$rubriquedesc->reecrire();
			
		}
		
		$file = fopen(realpath(dirname(__FILE__)) . "/produit.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);
		
		for($i=0;$i<count($data)-1;$i++){
			$produit = new Produit();
			$produit->id = $data[$i][0];
			$produit->ref = $data[$i][1];
			$produit->datamodif = $data[$i][2];
			$produit->prix = $data[$i][3];
			$produit->promo = $data[$i][5];
			$produit->ligne = 1;
			$produit->garantie = $data[$i][7];
			$produit->prix2 = $data[$i][6];
			$produit->rubrique = $data[$i][8];
			$produit->nouveaute = $data[$i][11];
			$produit->perso = $data[$i][12];
			$produit->stock = $data[$i][13];
			$produit->poids = $data[$i][15];
			$produit->tva = $data[$i][16];
			$produit->classement = $data[$i][17];
			$produit->add();
		}
		
		$file = fopen(realpath(dirname(__FILE__)) . "/produitdesc.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);
		
		for($i=0;$i<count($data)-1;$i++){
			$produitdesc = new Produitdesc();
			$produitdesc->id = $data[$i][0];
			$produitdesc->produit = $data[$i][1];
			$produitdesc->titre = $data[$i][2];
			$produitdesc->chapo = $data[$i][3];
			$produitdesc->description = $data[$i][4];
			$produitdesc->lang = $data[$i][5];
			$produitdesc->add();
			
			$produitdesc->reecrire();
			  
		}
		
		
		
		
		$file = fopen(realpath(dirname(__FILE__)) . "/stock.csv","r");
		$data = array();
		while ($data[] = fgetcsv($file,1024,";"));
		fclose($file);
		
		for($i=0;$i<count($data)-1;$i++){
			$stock = new Stock();
			$stock->id = $data[$i][0];
			$stock->declidisp = $data[$i][1];
			$stock->produit = $data[$i][2];
			$stock->valeur = $data[$i][3];
			$stock->add();
		}
		
		
	/*	$sql = file_get_contents(realpath(dirname(__FILE__)) . "/insert.sql");
			
		$tab = explode(";", $sql);
		
		for($i=0; $i<count($tab); $i++)
		mysql_query($tab[$i]);*/
		
		
		   
    }

	function destroy(){
		$query = "truncate table caracdisp";
		$resul = mysql_query($query);
		
		$query = "truncate table caracdispdesc";
		$resul = mysql_query($query);
		
		$query = "truncate table caracteristique";
		$resul = mysql_query($query);
		
		$query = "truncate table caracteristiquedesc";
		$resul = mysql_query($query);
		
		$query = "truncate table caracval";
		$resul = mysql_query($query);
		
		$query = "truncate table client";
		$resul = mysql_query($query);
		
		$query = "truncate table commande";
		$resul = mysql_query($query);
		
		$query = "truncate table contenu";
		$resul = mysql_query($query);
		
		$query = "truncate table contenudesc";
		$resul = mysql_query($query);
		
		$query = "truncate table declidisp";
		$resul = mysql_query($query);
		
		$query = "truncate table declidispdesc";
		$resul = mysql_query($query);
		
		$query = "truncate table declinaison";
		$resul = mysql_query($query);
		
		$query = "truncate table declinaisondesc";
		$resul = mysql_query($query);
		
		$query = "truncate table image";
		$resul = mysql_query($query);
		
		$query = "truncate table produit";
		$resul = mysql_query($query);
		
		$query = "truncate table produitdesc";
		$resul = mysql_query($query);
		
		$query = "truncate table rubcaracteristique";
		$resul = mysql_query($query);
		
		$query = "truncate table rubdeclinaison";
		$resul = mysql_query($query);
		
		$query = "truncate table rubrique";
		$resul = mysql_query($query);
		
		$query = "truncate table rubriquedesc";
		$resul = mysql_query($query);
		
		$query = "truncate table stock";
		$resul = mysql_query($query);
		
		$query = "truncate table venteprod";
		$resul = mysql_query($query);
		
		$query = "truncate table reecriture";
		$resul = mysql_query($query);		
		
		
	}
}